<template>
  <el-card class="aui-card--fill" shadow="never">
    <div class="mod-sys__company">
      <zt-table-wraper ref="tableObj" v-slot="{ table }" delete-url="/sys/company" query-url="/sys/company/tree"
                       v-bind:paging='false'>
        <el-form :inline="true" :model="dataForm" @keyup.enter.native="table.query()">
          <el-form-item>
            <zt-button perm="sys:company" type="add" @click="table.editHandle()"/>
          </el-form-item>
          <el-form-item>
            <zt-button @click="aaa()">测试</zt-button>
          </el-form-item>
        </el-form>
        <el-table v-adaptive="{bottomOffset:50}"
                  v-loading="table.dataLoading"
                  :data="table.dataList"
                  border
                  height="650px" row-key="id" @selection-change="table.selectionChangeHandle">
          <el-table-column :label="$t('company.name')" min-width="150" prop="name"/>
          <el-table-column :label="$t('company.code')" prop="code"/>
          <el-table-column :label="$t('company.shortName')" prop="shortName"/>
          <zt-table-column-dict :label="$t('company.type')" dict="company_type" prop="nature"/>
          <el-table-column :label="$t('company.sort')" prop="sort" width="80"/>
          <zt-table-column-handle :table="table" delete-perm="sys:company:delete" edit-perm="sys:company:update"/>
        </el-table>
        <!-- 弹窗, 新增 / 修改 -->
        <add-or-update @refreshDataList="table.query"/>
      </zt-table-wraper>
    </div>
  </el-card>
</template>

<script>
import AddOrUpdate from './company-add-or-update'

export default {
  data() {
    return {
      dataForm: {}
    }
  },
  methods: {
    aaa() {
      this.$refs.tableObj.query()
    }
  },
  components: {
    AddOrUpdate
  }
}
</script>
